Package be.ehealth.businessconnector.therlink.builders

# Interface CommonObjectBuilder

All Known Implementing Classes:
  `CommonObjectBuilderImpl`

public interface CommonObjectBuilder
Interface for all CommonObjectBuilders Every class that implement this interface is able to create all the common part of a kmehr request Default impl : `CommonObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Author`
  `createAuthor(List<HcParty> list)`
  Creates the author part of the message
  `String`
  `createKmehrID()`
  Creates the id of the kmehr message
  `TherapeuticLink`
  `createTherapeuticLink(Patient patient, String hcpType, String therLinkType, Instant startDate, Instant endDate, String comment, HcParty concernedHcp)`
  Deprecated.
  `TherapeuticLink`
  `createTherapeuticLink(Instant startDate, Instant endDate, Patient patient, String hcpType, String therLinkType, String comment, HcParty concernedHcp)`
  Creates a therapeutic link

- ## Method Details

  - ### createTherapeuticLink

    @Deprecated TherapeuticLink createTherapeuticLink(Patient patient, String hcpType, String therLinkType, Instant startDate, Instant endDate, String comment, HcParty concernedHcp) throws TechnicalConnectorException
    Deprecated.
    Creates a therapeutic link
    Parameters:
      `patient` - the concerned patient
      `hcpType` - the type of the professional concerned by the therapeutic link
      `therLinkType` - the type of the therapeutic link
      `startDate` - the start date
      `endDate` - (optional) the end date
      `comment` - (optional) a comment about the therapeutic link
      `concernedHcp` - The HCP concerned by the link. If it's null, then we will use session info by default
    Returns:
    Throws:
      `TechnicalConnectorException` - Deprecated : replaced by the other function

  - ### createTherapeuticLink

    TherapeuticLink createTherapeuticLink(Instant startDate, Instant endDate, Patient patient, String hcpType, String therLinkType, String comment, HcParty concernedHcp) throws TechnicalConnectorException
    Creates a therapeutic link
    Parameters:
      `startDate` - the start date
      `endDate` - (optional) the end date
      `patient` - the concerned patient
      `hcpType` - the type of the professional concerned by the therapeutic link
      `therLinkType` - the type of the therapeutic link
      `comment` - (optional) a comment about the therapeutic link
      `concernedHcp` - The HCP concerned by the link. If it's null, then we will use session info by default
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createAuthor

    Author createAuthor(List<HcParty> list) throws TechnicalConnectorException
    Creates the author part of the message
    Parameters:
      `list` - list of professionals to add in the author part
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### createKmehrID

    String createKmehrID() throws TechnicalConnectorException
    Creates the id of the kmehr message
    Returns:
    Throws:
      `TechnicalConnectorException`